Module | Sequel::DB2
In: | lib/sequel/adapters/db2.rb lib/sequel/adapters/shared/db2.rb

### Methods

boolean date time

### Classes and Modules

Module Sequel::DB2::DatabaseMethods
Module Sequel::DB2::DatasetMethods
Class Sequel::DB2::DB2Error
Class Sequel::DB2::Database
Class Sequel::DB2::Dataset

### Constants

DB2_TYPES | = | { :boolean => tt.method(:boolean), DB2CLI::SQL_BLOB => ::Sequel::SQL::Blob.method(:new), DB2CLI::SQL_TYPE_DATE => tt.method(:date), DB2CLI::SQL_TYPE_TIME => tt.method(:time), DB2CLI::SQL_DECIMAL => ::BigDecimal.method(:new) |  | Hash holding type translation methods, used by Dataset#fetch_rows.

### Attributes

convert_smallint_to_bool | [RW] | Whether to convert smallint values to bool, true by default. Can also be overridden per dataset.
use_clob_as_blob | [RW] | Whether to use clob as the generic File type, true by default.

### Public Instance methods

boolean(s)

[Source]

        # File lib/sequel/adapters/db2.rb, line 21
    21:       def boolean(s) !s.to_i.zero? end

date(s)

[Source]

        # File lib/sequel/adapters/db2.rb, line 22
    22:       def date(s) Date.new(s.year, s.month, s.day) end

time(s)

[Source]

        # File lib/sequel/adapters/db2.rb, line 23
    23:       def time(s) Sequel::SQLTime.create(s.hour, s.minute, s.second) end

[Validate]